<template>
  <div class="navbar-item has-dropdown is-hoverable">
    <span class="navbar-link">
      {{ currentLocale.name }}
    </span>
    <div class="navbar-dropdown is-boxed">
      <nuxt-link
        v-for="locale in availableLocales"
        :key="locale.code"
        class="navbar-item"
        :to="switchLocalePath(locale.code)"
      >
        {{ locale.name }}
      </nuxt-link>
    </div>
  </div>
</template>

<script setup>
import { computed } from 'vue'
import { useI18n } from 'vue-i18n'
import { useSwitchLocalePath } from '#i18n'

const { locale, locales } = useI18n()
const switchLocalePath = useSwitchLocalePath()

const availableLocales = computed(() => {
  return locales.value.filter(l => l.code !== locale.value)
})

const currentLocale = computed(() => {
  return locales.value.find(l => l.code === locale.value)
})
</script>
